#include "../Figments/Figments.h"
#include "../sprites/Chime.h"
#include "../sprites/Blob.h"

#define CHIME_LENGTH 23
#define CHIME_COUNT 4
#define BLOB_COUNT 10

class ChimesAnimation: public Figment {
public:
  ChimesAnimation();
  void handleEvent(const InputEvent& evt) override;
  void loop() override;
  void render(Display* dpy) const override;

private:
  SpriteList<Chime<CHIME_LENGTH>, CHIME_COUNT> m_chimes;
  SpriteList<Blob, BLOB_COUNT> m_blobs;
  AnimatedRGB m_flashColor;
  AnimatedNumber m_flashBrightness;

  void randomize();
  bool m_isRandom = false;
};
